Package org.eclipse.m2m.atl.engine.emfvm.lib

# Class AbstractStackFrame.StackSequence

java.lang.Object
java.util.AbstractCollection<AbstractStackFrame>
java.util.AbstractList<AbstractStackFrame>
java.util.ArrayList<AbstractStackFrame>
org.eclipse.m2m.atl.engine.emfvm.lib.AbstractStackFrame.StackSequence

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Iterable<AbstractStackFrame>`, `Collection<AbstractStackFrame>`, `List<AbstractStackFrame>`, `RandomAccess`, `SequencedCollection<AbstractStackFrame>`

Enclosing class:
  `AbstractStackFrame`

public class AbstractStackFrame.StackSequence extends ArrayList<AbstractStackFrame>
A Sequence of `AbstractStackFrame`.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.AbstractList

`modCount`

## Constructor Summary

Constructors
Constructor
Description
`StackSequence()`

## Method Summary

Modifier and Type
Method
Description
`AbstractStackFrame`
`at(int index)`
Returns the stack frame at the given index.

### Methods inherited from class java.util.ArrayList

`add, add, addAll, addAll, addFirst, addLast, clear, clone, contains, ensureCapacity, equals, forEach, get, getFirst, getLast, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeFirst, removeIf, removeLast, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

### Methods inherited from class java.util.AbstractCollection

`containsAll, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, stream, toArray`

### Methods inherited from interface java.util.List

`containsAll, reversed`

## Constructor Details

### StackSequence

public StackSequence()

## Method Details

### at

public AbstractStackFrame at(int index)
Returns the stack frame at the given index.

Parameters:
  `index` - the index
Returns:
  the stack frame